Get Free Trial

CSS version mismatch

Answered
uchivoitachi asked on October 19, 2021

Hello,
 
We’ve seen this warning in Chrome Console recently(flexmonster v2.9.8), could it be fixed?
BTW we’re using React+Typescript.
 
Thanks!

4 answers

Public
uchivoitachi October 19, 2021

Attached the screenshot

Public
Mykhailo Halaida Mykhailo Halaida Flexmonster October 19, 2021

Hi!
 
Thank you for writing to us.
 
This behavior is most likely caused by the flexmonster.min.css file not being updated – when updating the component version, please make sure the stylesheet file is of the correct version as well.
 
You can check the flexmonster.min.css version by viewing the file through your browser’s developer tools “Sources” tab – at the very beginning of the file, you should see this: 
 

:root{--fm-version:"<version here>"}

 
If the version here does not correspond to the one you’ve updated your Flexmonster instance to, please make sure the CSS file was actually updated.
 
Also, try clearing your browser’s cache before loading the page with the updated Flexmonster instance – old Flexmonster version styles sometimes get stuck in the cache, so clearing it often does the trick.
 
Please let us know if this helps.
 
Best regards,
Mykhailo

Public
Mykhailo Halaida Mykhailo Halaida Flexmonster October 19, 2021

Hi,
 
Just a quick follow-up: I realized my suggestion to check the file through the dev tools is not relevant since you’re using React, and the CSS files are built differently there.
 
Still, please check the relevance of the CSS file in your project. 
 
Hope this helps!
 
Best regards,
Mykhailo

Public
uchivoitachi October 21, 2021

Thanks!

Please login or Register to Submit Answer